package cz.muni.fi.pb162.project;

/**
 * Represents a 2D coordinate of a game board.
 * @author Ulman
 */
public class Coordinates {

    public Coordinates(int letterNumber, int number) {
        this.letterNumber = letterNumber;
        this.number = number;
    }

    private int letterNumber;
    private int number;

    public Coordinates add(Coordinates other) {
        Coordinates out
                = new Coordinates(
     this.letterNumber + other.getLetterNumber(),
                this.number + other.getNumber());
        return out;
    }

    public int getLetterNumber() {
        return letterNumber;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int num) {
        number = num;
    }

    public void setLetterNumber(int letterNumber) {
        this.letterNumber = letterNumber;
    }
}
